﻿
############################################
#
# Medeek Design Inc. - Medeek Truss Plugin - Copyright 2015-2017
# Language Files for Roof Trusses
#
# Name:  MEDEEK_TRUSS
# http://design.medeek.com
# Author: Nathaniel P. Wilkerson PE
# Created:  Nov. 16, 2017
# Last Revision:  Nov. 18, 2017
# Version 1.0.0
# Company: Medeek Design Inc.
#
#  Language files for the Truss Module of the Medeek Truss Plugin:
#
# English (en), French (fr), Spanish (es), German (de), Russian (ru), Japanese (ja), Swedish (sv), Korean (ko), Chinese (zh)
#
# Place this file in the "lang" sub-folder of the Medeek Truss Plugin
#
#############################################



# Define Module Hierarchy

module Medeek_Engineering_Inc_Extensions

	module MedeekLang

##############################
#
# Class Methods of Plugin
#
##############################

class MedeekMethods
  	class << self


##############################
#
# Language Files
#
##############################


def get_language (pluginlang)


	@Language_db = pluginlang


	# Get language
	
	if @Language_db == "fr"
		
		@Langname = "Français"

		@Trs = Hash::new {|hash,key| key }
	
		@Trs.update({
		"Draw Roof Truss" => "Dessiner un Treillis du Toit",
		"Roof Truss" => "Treillis du Toit",
		"Draw Floor Truss" => "Dessiner un Treillis de Plancher",
		"Floor Truss" => "Treillis de Plancher",
		"Draw Truss Set" => "Dessiner un Treillis Ensemble",
		"Truss Set" => "Treillis Ensemble",
		"Draw Roof Rafters" => "Dessiner un Chevron du Toit",
		"Roof Rafters" => "Chevron du Toit",
		"Draw Minor Roof" => "Dessiner un Toit Mineur",
		"Minor Roof" => "Toit Mineur",
		"Engineering Calc." => "Calculs d'ingénierie",
		"Engineering" => "Ingénierie",
		"Change Global Settings" => "Modifier les Paramètres Globaux",
		"Global Settings" => "Paramètres Globaux",
		"Medeek Tools" => "Outils Medeek",
		"Trim Member" => "Taille un Membre",
		"Trim" => "Tailler",
		"Extend Member" => "Étendre un Membre",
		"Extend" => "Étendre",
		"test" => "test"
		})

	elsif @Language_db == "es"
	
		@Langname = "Español"
		
		@Trs = Hash::new {|hash,key| key }

		@Trs.update({
		"Draw Roof Truss" => "Dibujar un Braguero de Techo",
		"Roof Truss" => "Braguero de Techo",
		"Draw Floor Truss" => "Dibujar un Braguero de Piso",
		"Floor Truss" => "Braguero de Piso",
		"Draw Truss Set" => "Dibujar un Conjunto de Braguero",
		"Truss Set" => "Conjunto de Braguero",
		"Draw Roof Rafters" => "Dibujar una Vigas del Techo",
		"Roof Rafters" => "Vigas del Techo",
		"Draw Minor Roof" => "Dibujar un Techo Menor",
		"Minor Roof" => "Techo Menor",
		"Engineering Calc." => "Cálculos de Ingeniería",
		"Engineering" => "Ingenieria",
		"Change Global Settings" => "Cambiar la Configuración Global",
		"Global Settings" => "Configuración Global",
		"Medeek Tools" => "Utiles Medeek",
		"Trim Member" => "Recortar un Miembro",
		"Trim" => "Recortar",
		"Extend Member" => "Extender un Miembro",
		"Extend" => "Extender",
		"test" => "test"
		})

	elsif @Language_db == "de"

		@Langname = "Deutsche"
		
		@Trs = Hash::new {|hash,key| key }

		@Trs.update({
		"Draw Roof Truss" => "Zeichnen Dachbindern",
		"Roof Truss" => "Dachbindern",
		"Draw Floor Truss" => "Zeichnen Bodenfachwerk",
		"Floor Truss" => "Bodenfachwerk",
		"Draw Truss Set" => "Zeichnen Traversensatz",
		"Truss Set" => "Traversensatz",
		"Draw Roof Rafters" => "Zeichnen Dachsparren",
		"Roof Rafters" => "Dachsparren",
		"Draw Minor Roof" => "Zeichnen Kleines Dach",
		"Minor Roof" => "Kleines Dach",
		"Engineering Calc." => "Technische Berechnungen",
		"Engineering" => "Ingenieurwesen",
		"Change Global Settings" => "Globale Einstellungen ändern",
		"Global Settings" => "Globale Einstellungen",
		"Medeek Tools" => "Medeek Werkzeuge",
		"Trim Member" => "Beschneiden das Glied",
		"Trim" => "Beschneiden",
		"Extend Member" => "Ausdehnen das Glied",
		"Extend" => "Ausdehnen",
		"test" => "test"
		})

	
	elsif @Language_db == "ru"

		@Langname = "Русский"
		
		@Trs = Hash::new {|hash,key| key }

		@Trs.update({
		"Geometry" => "геометрия",
		"Truss Type: " => "тип фермы: ",
		"Out-to-out Span (ft.): " => "простираться (ft.): ",
		"Top chord Pitch (x/12): " => "верхний шаг аккорда (x/12): ",
		"Top chord Angle (deg): " => "верхний шаг аккорда (deg): ",
		"Overhang Left (in.): " => "навес слева (in.): ",
		"Overhang Right (in.): " => "свес справа (in.): ",
		"TC Size (in.): " => "верхний размер аккорда (in.): ",
		"BC Size (in.): " => "размер нижнего аккорда (in.): ",
		"Web Size (in.): " => "размер веб-сайта (in.): ",
		"Ply Thickness (in.): " => "толщина слоя (in.): ",
		"Raised Heel: " => "поднятый каблук: ",
		"Heel Height (in.): " => "высота каблука (in.): ",
		"Parameters" => "параметры",
		"Bldg. Length (ft.): " => "длина здания (ft.): ",
		"Truss Spacing (in.): " => "межстрочный интервал (in.): ",
		"Gable End Trusses: " => "торцевая ферма: ",
		"Gable Stud Spacing (in.): " => "расстояние между стойками (in.): ",
		"Adv. Roof Options: " => "расширенные варианты крыши: ",
		"test" => "test"
		})


	elsif @Language_db == "ja"

		@Langname = "日本語"
		
		@Trs = Hash::new {|hash,key| key }

		@Trs.update({
		"Draw Roof Truss" => "屋根のトラスを描く",
		"Roof Truss" => "屋根のトラス",
		"Draw Floor Truss" => "床のトラスを描く",
		"Floor Truss" => "床のトラス",
		"Draw Truss Set" => "トラスセットを描く",
		"Truss Set" => "トラスセット",
		"Draw Roof Rafters" => "屋根の垂木を描く",
		"Roof Rafters" => "屋根の垂木",
		"Draw Minor Roof" => "部分屋根を描く",
		"Minor Roof" => "部分屋根",
		"Engineering Calc." => "工務計算",
		"Engineering" => "工務",
		"Change Global Settings" => "主なパラメータを変更する",
		"Global Settings" => "主なパラメータ",
		"Medeek Tools" => "Medeek 道具",
		"Trim Member" => "刈肢体",
		"Trim" => "刈",
		"Extend Member" => "伸肢体",
		"Extend" => "伸",
		"test" => "test"
		})
		

	elsif @Language_db == "sv"

		@Langname = "Svenska"
		
		@Trs = Hash::new {|hash,key| key }


		@Trs.update({
		"Geometry" => "Geometri",
		"Truss Type: " => "Typ av Takstol: ",
		"Out-to-out Span (ft.): " => "Spännvidd (ft.): ",
		"Top chord Pitch (x/12): " => "Oberer Akkordabstand (x/12): ",
		"Top chord Angle (deg): " => "Oberer Akkordabstand (deg): ",
		"Overhang Left (in.): " => "Överhäng vänster (in.): ",
		"Overhang Right (in.): " => "Överhäng höger (in.): ",
		"TC Size (in.): " => "Översta ackordet Storlek (in.): ",
		"BC Size (in.): " => "Underdel ackordet Storlek (in.): ",
		"Web Size (in.): " => "Webbstorlek (in.): ",
		"Ply Thickness (in.): " => "Lager Tjocklek (in.): ",
		"Raised Heel: " => "Upphöjd Häl: ",
		"Heel Height (in.): " => "Hälhöjden (in.): ",
		"Parameters" => "Parametrar",
		"Bldg. Length (ft.): " => "Bygglängd (ft.): ",
		"Truss Spacing (in.): " => "Takstolavstånd (in.): ",
		"Gable End Trusses: " => "Gaveländ Takstol: ",
		"Gable Stud Spacing (in.): " => "Gavel Dubb Avstånd (in.): ",
		"Adv. Roof Options: " => "Avancerade Takalternativ: ",
		"test" => "test"
		})

		

	elsif @Language_db == "ko"

		
		@Langname = "한국어"
		
		@Trs = Hash::new {|hash,key| key }

		

		@Trs.update({
		"Geometry" => "기하학",
		"Truss Type: " => "트러스 유형: ",
		"Out-to-out Span (ft.): " => "전폭 (ft.): ",
		"Top chord Pitch (x/12): " => "상단현 (x/12): ",
		"Top chord Angle (deg): " => "상단현 (deg): ",
		"Overhang Left (in.): " => "쑥 내밀음 좌회전(in.): ",
		"Overhang Right (in.): " => "쑥 내밀음 우회전(in.): ",
		"TC Size (in.): " => "상단현큼 (in.): ",
		"BC Size (in.): " => "바닥현큼 (in.): ",
		"Web Size (in.): " => "직포큼 (in.): ",
		"Ply Thickness (in.): " => "주름 한 장 (in.): ",
		"Raised Heel: " => "발 뒤꿈치: ",
		"Heel Height (in.): " => "발 뒤꿈치 높이 (in.): ",
		"Parameters" => "매개 변수들",
		"Bldg. Length (ft.): " => "건물 길이 (ft.): ",
		"Truss Spacing (in.): " => "트러스 간격 (in.): ",
		"Gable End Trusses: " => "박공 트러스: ",
		"Gable Stud Spacing (in.): " => "박공 스터드 간격 (in.): ",
		"Adv. Roof Options: " => "고급 지붕 옵션: ",
		"test" => "test"
		})

		

	elsif @Language_db == "zh"

		
		@Langname = "中文"
		
		@Trs = Hash::new {|hash,key| key }

		

		@Trs.update({
		"Geometry" => "几何",
		"Truss Type: " => "类型的桁架: ",
		"Out-to-out Span (ft.): " => "跨度 (ft.): ",
		"Top chord Pitch (x/12): " => "上弦坡度 (x/12): ",
		"Top chord Angle (deg): " => "上弦坡度 (deg): ",
		"Overhang Left (in.): " => "悬垂左 (in.): ",
		"Overhang Right (in.): " => "悬垂右 (in.): ",
		"TC Size (in.): " => "上弦尺寸 (in.): ",
		"BC Size (in.): " => "下弦尺寸 (in.): ",
		"Web Size (in.): " => "卷筒纸尺寸 (in.): ",
		"Ply Thickness (in.): " => "股厚度 (in.): ",
		"Raised Heel: " => "提高脚跟: ",
		"Heel Height (in.): " => "鞋跟的高度 (in.): ",
		"Parameters" => "参数",
		"Bldg. Length (ft.): " => "建筑长度 (ft.): ",
		"Truss Spacing (in.): " => "桁架间距 (in.): ",
		"Gable End Trusses: " => "山墙桁架: ",
		"Gable Stud Spacing (in.): " => "山墙螺柱间距 (in.): ",
		"Adv. Roof Options: " => "先进的屋顶选项: ",
		"test" => "test"
		})


	else
		@Langname = "English"

		@Trs = Hash::new {|hash,key| key }
		
		@Trs.update({
		"Draw Roof Truss" => "Draw Roof Truss",
		"test" => "test"
		})

	end


	return @Trs, @Langname
end







end # << self
end # MedeekMethods Class



	###########################
	#
	# Main Entry into Program
	#
	###########################



	end # MedeekLang
end # Medeek Module